hlist_for_each_entry_rcu
Prev | Doubly Linked Lists | Next

## Name

hlist_for_each_entry_rcu — iterate over rcu list of given type

## Synopsis

`hlist_for_each_entry_rcu (` |  | tpos,
|  | pos,
|  | head,
|  | member`)`;

## Arguments

`tpos`

  the type * to use as a loop cursor.

`pos`

  the &struct hlist_node to use as a loop cursor.

`head`

  the head for your list.

`member`

  the name of the hlist_node within the struct.

## Description

This list-traversal primitive may safely run concurrently with the _rcu list-mutation primitives such as `hlist_add_head_rcu` as long as the traversal is guarded by `rcu_read_lock`.

Prev | Up | Next
hlist_for_each_entry_safe | Home | Chapter 3. Basic C Library Functions